Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.common.collection
Enum Problem.Status

    java.lang.Object
      java.lang.Enum<Problem.Status>
          org.modeshape.common.collection.Problem.Status

All Implemented Interfaces:
  Serializable, Comparable<Problem.Status>

Enclosing class:
  Problem

    public static enum Problem.Status

extends Enum<Problem.Status>

Enum Constant Summary
`ERROR`
`INFO`
`WARNING`

Method Summary
`Logger.Level` | `getLogLevel()`
`static Problem.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Problem.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ERROR

    public static final Problem.Status ERROR

### WARNING

    public static final Problem.Status WARNING

### INFO

    public static final Problem.Status INFO

Method Detail

### values

    public static Problem.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Problem.Status c : Problem.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Problem.Status valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getLogLevel

    public Logger.Level getLogLevel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.